/*
* Neural Networks Tearm Project
* Martin Johne
* 04.10.2006
*/
#pragma once
#include <irrlicht.h>
#include "Muele.h"

//! This is a window which is used to test two computer players.
class CAICompetitionWindow
{
public:

	// methods

	CAICompetitionWindow(CMuele *pMueleClass);
	~CAICompetitionWindow(void);

	//! Switches if the window can be seen or not.
	void toggleVisiblility();
	//! Called on a gui even from irrlicht to manage the window behavior.
	void onGuiEvent(SEvent &event);
	//! Executes a sequenze of many games to rate the quallity of the computer players.
	void competition();
		
private:

	CMuele *pMuele;
	gui::IGUIWindow	*pWindow;
	gui::IGUIStaticText *pTextPlayer1, *pTextPlayer2, *pTextDraw;
};
